Sponsored Content
Full Discussion: Help with a logout scrpt
Operating Systems Linux Ubuntu Help with a logout scrpt Post 302319851 by zexin on Tuesday 26th of May 2009 10:43:41 AM
Old 05-26-2009
Bug Help with a logout scrpt

Hi, I'm new to Linux and this forums. I was working on a logout script
and was wondering if anyone could help me out.

What I'm trying to do is to delete the content of the ~/tmp/ directory
and also to perform a check if any processes are currently running befor logout.

this is what I have

# ~/.bash_logout: executed by bash(1) when login shell exits.

# when leaving the console clear the screen to increase privacy

if [ "$SHLVL" = 1 ]; then
[ -x /usr/bin/clear_console ] && /usr/bin/clear_console -q
fi


ps -u `whoami` | grep -v $$ | grep -v 'PID TTY'

if ( $? == 0 ) then
echo ""
echo "WARNING - YOU HAVE RUNNING JOBS!"
echo ""
echo "press return to log out"
read answer

endif

rm -rf /tmp/*
rm -rf/var/tmp/*

but it doesn't seem to work
 

10 More Discussions You Might Find Interesting

1. UNIX for Dummies Questions & Answers

logout command

hi all The "last" command shows the last login time of the user. is there any command for last logout time. as usual, replies are appreciated. thanks boys. raguram R (6 Replies)
Discussion started by: raguramtgr
6 Replies

2. Red Hat

How do you logout from a session?

Hello all - I'm finishing up a script that I wrote. This is what I did: I added some lines to the .bash_profile that will call my startup script: cd $HOME/startup ./startup.scr This startup script will create some directories, move some files, and then startup an application: cd... (4 Replies)
Discussion started by: Heron
4 Replies

3. UNIX for Dummies Questions & Answers

logout

Every time the ksh script completes I got message - logout. I don't want to see this message.... Can someone give me a clue Thanks in advance. ZAM SunOS 5.9 Generic_118558-19 sun4u sparc SUNW,Sun-Fire-880 (2 Replies)
Discussion started by: zam
2 Replies

4. Shell Programming and Scripting

.logout help

We have an application that uses the csh shell as the default. We can not change this as when we upgrade it will change back to csh. We have several people that log in with this id. I would like to create a .logout exit script to audit what transactions were performed, termal, etc. Does... (3 Replies)
Discussion started by: 2dumb
3 Replies

5. UNIX for Dummies Questions & Answers

auto logout

How do I disable the auto logout for remote logins to a host (2 Replies)
Discussion started by: lethgowerboy
2 Replies

6. Solaris

.logout

I want to execute script while exiting a session, to gather session details. How to implement this in Solaris 10 (3 Replies)
Discussion started by: sharif
3 Replies

7. UNIX for Dummies Questions & Answers

Exit or logout

When I want to close my session I can use exit or logout, and a lot of manuals use both of them indistinctly. So, Is there any difference between exit or logout?? Or are both of them exactly the same command?? I forgot to mention that I am using a RedHat Unix. Thanks for your help. Kinai. (1 Reply)
Discussion started by: kinai
1 Replies

8. Linux

What happens when user logout?

Hi When executing some commands, we need to re-login into the account. What happens when logged out and login ? Are there any scripts (.bashrc .... ) to be executed or to update system files. Help Me .......... (1 Reply)
Discussion started by: yhacks
1 Replies

9. HP-UX

How to logout

Hi I am using UNIX version. HP-UX HP-UNIX B.11.00 I am writing a script which on certain condition should logout of unix. But with exit command i am not able to get this.. Plz suggest how i should logout of the session directly. (9 Replies)
Discussion started by: manish.s
9 Replies

10. Post Here to Contact Site Administrators and Moderators

unix.com keeps logout me

Hi Admin, I am living in singapore. When i use the unix.com in office, it works well ( in that time, it says "you are somewhere around USA(some country) - because my proxy is USA" Once i come to home and connects, it keeps logout... is that any settings i need to change ? ---------- Post... (1 Reply)
Discussion started by: itkamaraj
1 Replies
FLOCK(1)							   User Commands							  FLOCK(1)

NAME
flock - manage locks from shell scripts SYNOPSIS
flock [options] <file|directory> <command> [command args] flock [options] <file|directory> -c <command> flock [options] <file descriptor number> DESCRIPTION
This utility manages flock(2) locks from within shell scripts or the command line. The first and second forms wrap the lock around the executing a command, in a manner similar to su(1) or newgrp(1). It locks a specified file or directory, which is created (assuming appropriate permissions), if it does not already exist. By default, if the lock cannot be immediately acquired, flock waits until the lock is available. The third form uses open file by file descriptor number. See examples how that can be used. OPTIONS
-s, --shared Obtain a shared lock, sometimes called a read lock. -x, -e, --exclusive Obtain an exclusive lock, sometimes called a write lock. This is the default. -u, --unlock Drop a lock. This is usually not required, since a lock is automatically dropped when the file is closed. However, it may be required in special cases, for example if the enclosed command group may have forked a background process which should not be hold- ing the lock. -n, --nb, --nonblock Fail rather than wait if the lock cannot be immediately acquired. See the -E option for the exit code used. -w, --wait, --timeout seconds Fail if the lock cannot be acquired within seconds. Decimal fractional values are allowed. See the -E option for the exit code used. -o, --close Close the file descriptor on which the lock is held before executing command . This is useful if command spawns a child process which should not be holding the lock. -E, --conflict-exit-code number The exit code used when the -n option is in use, and the conflicting lock exists, or the -w option is in use, and the timeout is reached. The default value is 1. -c, --command command Pass a single command, without arguments, to the shell with -c. -h, --help Print a help message. -V, --version Show version number and exit. EXAMPLES
shell1> flock /tmp -c cat shell2> flock -w .007 /tmp -c echo; /bin/echo $? Set exclusive lock to directory /tmp and the second command will fail. shell1> flock -s /tmp -c cat shell2> flock -s -w .007 /tmp -c echo; /bin/echo $? Set shared lock to directory /tmp and the second command will not fail. Notice that attempting to get exclusive lock with second command would fail. shell> flock -x local-lock-file echo 'a b c' Grab the exclusive lock "local-lock-file" before running echo with 'a b c'. ( flock -n 9 || exit 1 # ... commands executed under lock ... ) 9>/var/lock/mylockfile The form is convenient inside shell scripts. The mode used to open the file doesn't matter to flock; using > or >> allows the lock- file to be created if it does not already exist, however, write permission is required. Using < requires that the file already exists but only read permission is required. [ "${FLOCKER}" != "$0" ] && exec env FLOCKER="$0" flock -en "$0" "$0" "$@" || : This is useful boilerplate code for shell scripts. Put it at the top of the shell script you want to lock and it'll automatically lock itself on the first run. If the env var $FLOCKER is not set to the shell script that is being run, then execute flock and grab an exclusive non-blocking lock (using the script itself as the lock file) before re-execing itself with the right arguments. It also sets the FLOCKER env var to the right value so it doesn't run again. EXIT STATUS
The command uses sysexits.h return values for everything else but an options -n or -w failures which return either the value given by the -E option, or 1 by default. AUTHOR
H. Peter Anvin <hpa@zytor.com> COPYRIGHT
Copyright (C) 2003-2006 H. Peter Anvin. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICU- LAR PURPOSE. SEE ALSO
flock(2) AVAILABILITY
The flock command is part of the util-linux package and is available from Linux Kernel Archive <ftp://ftp.kernel.org/pub/linux/utils/util- linux/>. util-linux September 2011 FLOCK(1)
All times are GMT -4. The time now is 10:37 AM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy